Skip to main content
GET
/
objects
List objects
curl --request GET \
  --url https://api.awardee.dev/v1/objects \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "total": 0,
  "page": 0,
  "page_size": 0,
  "data": [
    {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "external_id": "<string>",
      "public_slug": "<string>",
      "url": "<string>",
      "name": "<string>",
      "description": "<string>",
      "metadata": {},
      "destination": {
        "type": "<string>",
        "chatbot": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "page": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "knowledge_base": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "url": "<string>"
      },
      "is_active": true,
      "total_scans": 0,
      "last_scanned_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Query Parameters

page
integer
Required range: 1 <= x <= 9007199254740991
page_size
integer
Required range: 1 <= x <= 100
sort
enum<string>
Available options:
scans,
type,
name,
recent
type
string
external_id
string
is_active
enum<string>
Available options:
true,
false

Response

List of objects

object
string
required
Allowed value: "list"
total
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
page
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
page_size
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
data
object[]
required